<?php
if($soor_type > 0) $dostup_country = true;
if($dostup_country) $dostup = true;

if(!$user and $dostup){
	$title = 'Ошибка';
    include_once('head.php');
	t('Досупно только авторизованным пользователям');
	a('/auth.php?','Авторизация','auth');
	include_once('foot.php');
}

if($security > 0 AND ($user['level'] < $security OR !$user)){
	$title = 'Ошибка';
    include_once('head.php');
	t('Страница не найдена');
	include_once('foot.php');
}

if($user['country'] == 0 and $dostup_country){
	$title = 'Ошибка';
    include_once('head.php');
	t('У Вас нет государства');
	include_once('foot.php');
}

if($soor_type > 0){
	if(mysql_num_rows(mysql_query("SELECT * FROM `buildings` WHERE `type` = ".$soor_type." AND `country` = ".$country['id']."")) == 0){
    	$title = 'Ошибка';
		include_once('head.php');
  		$soor_types = mysql_fetch_array(mysql_query("SELECT * FROM `buildings_types` WHERE `id` = ".$soor_type.""));
    	t('В Вашем государстве не построено сооружение '.$soor_types['name_rp']);
		include_once('foot.php');
    }
    else{
        $soor_types = mysql_fetch_array(mysql_query("SELECT * FROM `buildings_types` WHERE `id` = ".$soor_type.""));
        $soor = mysql_fetch_array(mysql_query("SELECT * FROM `buildings` WHERE `type` = ".$soor_type." AND `country` = ".$country['id'].""));
        if($soor['status'] == 'built'){
			t('Сооружение '.$soor_types['name_rp'].' строится');
			include_once('inclfiles/foot.php');
   		}

   		if($soor['status'] == 'destroyed'){
			t('Сооружение '.$soor_types['name_rp'].' разрушено');
			include_once('inclfiles/foot.php');
   		}

	    if($soor_level > 1){
	    	if(mysql_num_rows(mysql_query("SELECT * FROM `buildings` WHERE `type` = ".$soor_type." AND `level` >= ".$soor_level." AND `country` = ".$country['id']."")) == 0){
		        $title = 'Ошибка';
				include_once('head.php');
	    		t('В Вашем государстве не построено сооружение '.$soor_types['name_rp'].' '.$soor_level.'-го уровня и выше');
				include_once('foot.php');
	    	}
	    }
	}
}
?>